unit dmodule;

interface

uses
  Cybmanip,
  Windows, Messages, SysUtils, Classes,
  Graphics, Controls, Forms, Dialogs,ImgList;
  
type
  TDataMod = class(TDataModule)
    ColorDialog1: TColorDialog;
    ImageList1: TImageList;
    procedure DataModuleCreate(Sender: TObject);
    procedure DataModuleDestroy(Sender: TObject);
  private
    { Private declarations }

  public
    { Public declarations }
    function getcolor(oldcolor : tcolor) : tcolor;

  end;

var
  DataMod: TDataMod;

implementation
uses
  EvoStoreSrc ;

{$R *.DFM}

procedure TDataMod.DataModuleCreate(Sender: TObject);

begin
  Application.HelpFile := extractfilepath(application.exename)+'Borises Life.hlp';
  imagelist := DataMod.imagelist1;
  GetSaverMode;
  GetOSandSysdir;
  freebmp := true;
  ReadRegistry;
  freebmp := false;
  SystemParametersInfo (SPI_SCREENSAVERRUNNING, 1, nil, 0);
end;

procedure TDataMod.DataModuleDestroy(Sender: TObject);
begin
   SystemParametersInfo (SPI_SCREENSAVERRUNNING, 0, nil, 0);
   freebmp := true;
   if not(IsInSaverPreviewMode) then WriteRegistry;
end;

function TDataMod.getcolor(oldcolor : tcolor) : tcolor;
begin
  result := oldcolor;
  with ColorDialog1 do begin
       COLOR := oldcolor;
       if execute then begin
         result := color;
       end;
  end;
end;


end.
